You are viewing a plain text version of this content. The canonical link for it is here.
Posted to apreq-dev@httpd.apache.org by "Philip M. Gollucci" <pg...@p6m7g8.com> on 2005/07/11 02:11:04 UTC

[PATCH] allow gmake reconfig to be used by others

gmake reconfig

calls buildconfg with hard coded arguments.  Use the ones supplied 
initially.

pgollucci@smgellar /usr/local/dev/repos/ASF/httpd/apreq/trunk rv=0 256 
 >svn diff Makefile.am buildconf
Index: Makefile.am
===================================================================
--- Makefile.am (revision 210049)
+++ Makefile.am (working copy)
@@ -43,7 +43,7 @@
         @echo "$(distdir).tar.gz is kosher."

  reconfig:
-       ./buildconf --with-automake=automake-1.6 --with-aclocal=aclocal-1.6
+       ./buildconf.nice
         ./config.nice

  docs_clean:
Index: buildconf
===================================================================
--- buildconf   (revision 210049)
+++ buildconf   (working copy)
@@ -25,6 +25,7 @@
  autoconf="${AUTOCONF:-autoconf}"
  autoheader="${AUTOHEADER:-autoheader}"

+save_args="$*";

  while test $# -gt 0
  do
@@ -81,5 +82,16 @@
  echo "running $automake -a -c" && $automake -a -c && \
  echo "running xsbuilder" && (cd glue/perl && $perl 
../../build/xsbuilder.pl) && \
  echo "running cpan prereq fixups" && $perl -i -wpe 
"s/PREREQ_PM/$PREREQ_PM/" Makefile.in && \
-echo "buildconf successful."
+echo "saving arguments for reuse." && cat >buildconf.nice <<END_CAT
+#!/bin/sh
+./buildconf $save_args
+END_CAT

+if [ "$?" -eq "0" ] ; then
+  chmod +x buildconf.nice && \
+  echo "buildconf successful."
+else
+  echo "saving buildconf arguments failed."
+  exit 1
+fi
+

-- 
END
------------------------------------------------------------
     What doesn't kill us can only make us stronger.
                 Nothing is impossible.
				
Philip M. Gollucci (pgollucci@p6m7g8.com) 301.254.5198
Consultant / http://p6m7g8.net/Resume/resume.shtml
Senior Developer / Liquidity Services, Inc.
   http://www.liquidityservicesinc.com
        http://www.liquidation.com
        http://www.uksurplus.com
        http://www.govliquidation.com
        http://www.gowholesale.com